
Name: app-organization
Epoch: 1
Version: 1.6.7
Release: 1%{dist}
Summary: Organization
License: GPLv3
Group: ClearOS/Apps
Source: %{name}-%{version}.tar.gz
Buildarch: noarch
Requires: %{name}-core = 1:%{version}-%{release}
Requires: app-base

%description
Information about your organization is used to generate security certificates and other software defaults.

%package core
Summary: Organization - Core
License: LGPLv3
Group: ClearOS/Libraries
Requires: app-base-core

%description core
Information about your organization is used to generate security certificates and other software defaults.

This package provides the core API and libraries.

%prep
%setup -q
%build

%install
mkdir -p -m 755 %{buildroot}/usr/clearos/apps/organization
cp -r * %{buildroot}/usr/clearos/apps/organization/

install -D -m 0644 packaging/organization.conf %{buildroot}/etc/clearos/organization.conf

%post
logger -p local6.notice -t installer 'app-organization - installing'

%post core
logger -p local6.notice -t installer 'app-organization-core - installing'

if [ $1 -eq 1 ]; then
    [ -x /usr/clearos/apps/organization/deploy/install ] && /usr/clearos/apps/organization/deploy/install
fi

[ -x /usr/clearos/apps/organization/deploy/upgrade ] && /usr/clearos/apps/organization/deploy/upgrade

exit 0

%preun
if [ $1 -eq 0 ]; then
    logger -p local6.notice -t installer 'app-organization - uninstalling'
fi

%preun core
if [ $1 -eq 0 ]; then
    logger -p local6.notice -t installer 'app-organization-core - uninstalling'
    [ -x /usr/clearos/apps/organization/deploy/uninstall ] && /usr/clearos/apps/organization/deploy/uninstall
fi

exit 0

%files
%defattr(-,root,root)
/usr/clearos/apps/organization/htdocs

%files core
%defattr(-,root,root)
%exclude /usr/clearos/apps/organization/packaging
%dir /usr/clearos/apps/organization
/usr/clearos/apps/organization/deploy
/usr/clearos/apps/organization/language
/usr/clearos/apps/organization/libraries
%config(noreplace) /etc/clearos/organization.conf
